40 lines
1.4 KiB
Diff
40 lines
1.4 KiB
Diff
From 84fc64b556d5b5145eb7831393b856a26a818dc1 Mon Sep 17 00:00:00 2001
|
|
From: Petr Mensik <pemensik@redhat.com>
|
|
Date: Fri, 1 Mar 2019 15:55:46 +0100
|
|
Subject: [PATCH] Detect correctly pkcs11 support
|
|
|
|
It fails now always, because oot builds are not supported by
|
|
cleanpkcs11.sh.
|
|
---
|
|
bin/tests/system/cleanpkcs11.sh | 2 +-
|
|
bin/tests/system/conf.sh.in | 1 +
|
|
2 files changed, 2 insertions(+), 1 deletion(-)
|
|
|
|
diff --git a/bin/tests/system/cleanpkcs11.sh b/bin/tests/system/cleanpkcs11.sh
|
|
index b974708..3bbef4c 100644
|
|
--- a/bin/tests/system/cleanpkcs11.sh
|
|
+++ b/bin/tests/system/cleanpkcs11.sh
|
|
@@ -12,6 +12,6 @@
|
|
SYSTEMTESTTOP=.
|
|
. $SYSTEMTESTTOP/conf.sh
|
|
|
|
-if [ ! -x ../../pkcs11/pkcs11-destroy ]; then exit 1; fi
|
|
+if [ ! -x "$PK11DESTROY" ]; then exit 1; fi
|
|
|
|
$PK11DEL -w0 > /dev/null 2>&1
|
|
diff --git a/bin/tests/system/conf.sh.in b/bin/tests/system/conf.sh.in
|
|
index e7831d8..aa2d841 100644
|
|
--- a/bin/tests/system/conf.sh.in
|
|
+++ b/bin/tests/system/conf.sh.in
|
|
@@ -52,6 +52,7 @@ NSLOOKUP=$TOP/bin/dig/nslookup
|
|
NSUPDATE=$TOP/bin/nsupdate/nsupdate
|
|
NZD2NZF=$TOP/bin/tools/named-nzd2nzf
|
|
PK11DEL="$TOP/bin/pkcs11/pkcs11-destroy -s ${SLOT:-0} -p ${HSMPIN:-1234} -w 0"
|
|
+PK11DESTROY=$TOP/bin/pkcs11/pkcs11-destroy
|
|
PK11GEN="$TOP/bin/pkcs11/pkcs11-keygen -q -s ${SLOT:-0} -p ${HSMPIN:-1234}"
|
|
PK11LIST="$TOP/bin/pkcs11/pkcs11-list -s ${SLOT:-0} -p ${HSMPIN:-1234}"
|
|
RESOLVE=$TOP/lib/samples/resolve
|
|
--
|
|
2.20.1
|
|
|